---
title: "Get balance activity"
url: https://docs.truemarkets.co/api/institutional/get-balance-activity-cefi
description: "Query balance update activity (settlements and adjustments) for a specific client and/or asset. Returns only balance update messages, ordered by timestamp."
---

Docs index: https://docs.truemarkets.co/llms.txt

# Get balance activity

Query balance update activity (settlements and adjustments) for a specific client and/or asset. Returns only balance update messages, ordered by timestamp.

## Request

```
GET https://api.truex.co/v1/cefi/balances/activity
```

### Authentication

Bearer token in `Authorization`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-truex-auth-timestamp` | header | string | yes | Timestamp when request was made in seconds since epoch. Must be no older than 15 seconds and no more than 1 second in the future. It guards against replayed requests. |
| `client_id` | query | string | no | Exchange generated client ID to filter activity for. |
| `asset_id` | query | string | no | Exchange generated asset ID to filter activity for. |
| `skip` | query | integer | no | Number of records to skip for pagination. |
| `size` | query | integer | no | Maximum number of records to return. |

## Responses

Every error status returns the same body, described in [Errors](https://docs.truemarkets.co/developer-resources/errors.md).

### 200

Successful operation.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `[].msg_type` | string, one of `UPDATE` | no | Message type. Activity endpoint only returns UPDATE messages. |
| `[].msg_action` | string | no | Message action status. |
| `[].amount` | string | no | Amount of the balance update. |
| `[].client_id` | string | no | Exchange assigned client ID. |
| `[].asset_id` | string | no | Exchange assigned asset ID. |
| `[].type` | string, one of `TRADE_SETTLEMENT`, `FEE_SETTLEMENT`, `BALANCE_ADJUSTMENT` | no | Type of balance update. |
| `[].timestamp` | string | no | UNIX UTC nanosecond timestamp of the update. |
| `[].ownership` | object | no |  |
| `[].ownership.client_id` | string | no | Client ID that owns this balance entry. |

### 400

Bad request.

### 401

Unauthorized.

### 403

Forbidden.

### 408

Request timeout.

### 415

Unsupported media type.

### 500

Internal server error.

### 503

Service unavailable.
